Bug 250709 - No 12.2-RELEASE for Beaglebone
Summary: No 12.2-RELEASE for Beaglebone
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: 12.1-STABLE
Hardware: arm Any
: --- Affects Some People
Assignee: FreeBSD Release Engineering
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-29 03:31 UTC by Teran McKinney
Modified: 2021-06-21 19:01 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Teran McKinney 2020-10-29 03:31:50 UTC
There is no Beaglebone release for 12.2.

Discussion thread: https://lists.freebsd.org/pipermail/freebsd-arm/2020-October/022469.html

Forum thread: https://forums.freebsd.org/threads/no-freebsd-12-2-release-for-beaglebone.77499/#post-482529

As per the release errata: https://www.freebsd.org/releases/12.2R/errata.html#open-issues

I have a Beaglebone white and am happy to help test if given some pointers on where to start.
Comment 1 Glen Barber freebsd_committer 2020-10-29 15:32:06 UTC
Please see the third bullet point here:
https://www.freebsd.org/releases/12.2R/errata.html
Comment 2 Teran McKinney 2020-10-29 23:52:36 UTC
I don't understand why this was closed out. I didn't see any bug reports mentioning what the bug was or if there was a fix. The other two errata points (which I already linked to) had corresponding FreeBSD bug references.

It sounds like there is now an image available: https://download.freebsd.org/ftp/snapshots/ISO-IMAGES/12.2/FreeBSD-12.2-STABLE-arm-armv7-BEAGLEBONE-20201029-r367116.img.xz

I can definitely test this.
Comment 3 Glen Barber freebsd_committer 2020-10-30 15:38:50 UTC
It was closed because there will not be a BEAGLEBONE image for 12.2-RELEASE.  If you can test the 12.2-STABLE image you linked to, that would be great.  As I understand it, the excessively-long I/O issue is not present in 13-CURRENT, but it would definitely be nice to have this tracked down before 12.3-RELEASE when the time comes.
Comment 4 Teran McKinney 2020-10-30 15:42:37 UTC
Right, I understand 12.2-RELEASE won't have a Beaglebone release. This is more about the slow I/O issue.

It's definitely still happening, I pulled down the 12.2-STABLE image and booting probably took two hours.
Comment 5 Glen Barber freebsd_committer 2020-10-30 15:59:24 UTC
The Right People(tm) are already involved in this.  :)

https://lists.freebsd.org/pipermail/freebsd-arm/2020-September/022423.html
Comment 6 Glen Barber freebsd_committer 2020-10-30 15:59:59 UTC
Re-open, adding mmel@ to CC.
Comment 7 Teran McKinney 2020-10-31 15:43:21 UTC
There's something messed up with the clock, I don't think it has anything to do with the SD infrastructure.

If I run `date` and wait ten seconds to run `date` again, the time is the same. dd reading from the SD card thinks it's instantaneous, even though it takes a good minute or two to read a gig and write it to /dev/null. I think the clock issue is messing with the scheduler.

Now I presume there's no RTC on these, but whatever "clock" interface we are using seems to be the issue.
Comment 8 Teran McKinney 2020-10-31 15:47:55 UTC
My bad, I think that's what you all already concluded. I'll leave you to it but let me know if there's anything I can test.
Comment 9 Teran McKinney 2021-06-21 18:57:05 UTC
Hi everyone. Any update on this? Thank you!
Comment 10 Glen Barber freebsd_committer 2021-06-21 19:01:20 UTC
We do not retroactively build releases.  Provided the issue(s) have been resolved, there will be BeagleBone images for 12.3.